Bug 1121264 - yum_importer docs have wrong units on max_speed setting
Summary: yum_importer docs have wrong units on max_speed setting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 2.5.0
Assignee: Michael Hrivnak
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 19:43 UTC by Michael Hrivnak
Modified: 2014-11-24 21:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 21:33:33 UTC


Attachments (Terms of Use)

Description Michael Hrivnak 2014-07-18 19:43:37 UTC
Description of problem:
The yum_importer docs say "max_speed: Limit the Max speed in KB/sec per thread during package downloads; defaults to None"

The units are actually interpreted by pulp as bytes/s. Also, the speed is not per-thread.

When I use these settings: {"max_speed":1048576}

A sync will use about 1MB/s as expected.

Version-Release number of selected component (if applicable):
2.4.0 beta

Steps to Reproduce:
1. read the docs

Comment 1 Michael Hrivnak 2014-07-18 23:03:58 UTC
https://github.com/pulp/pulp_rpm/pull/528

Comment 2 Preethi Thomas 2014-08-18 16:18:12 UTC
verified
[root@mgmt6 test]# rpm -qa pulp-server
pulp-server-2.4.1-0.1.alpha.el6.noarch
[root@mgmt6 test]# 

Throttling
  --max-downloads - maximum number of downloads that will run concurrently
  --max-speed     - maximum bandwidth used per download thread, in bytes/sec,
                    when synchronizing the repo

Comment 3 Randy Barlow 2014-08-20 03:31:12 UTC
We are rebasing pulp-2.4.1, and so all of these bugs can no longer be considered VERIFIED. We will need to recheck them against the rebased build to make sure the cherry picking strategy did not introduce any regressions.

Comment 4 Chris Duryee 2014-09-30 13:52:44 UTC
build: 2.5.0-0.6.beta

Comment 5 Preethi Thomas 2014-10-02 15:12:36 UTC
[root@cloud-qe-15 ~]# rpm -qa pulp-server
pulp-server-2.5.0-0.6.beta.el7.noarch
[root@cloud-qe-15 ~]# pulp-admin rpm repo create
Command: create
Description: creates a new repository



Throttling
  --max-downloads - maximum number of downloads that will run concurrently
  --max-speed     - maximum bandwidth used per download thread, in bytes/sec,
                    when synchronizing the repo


Note You need to log in before you can comment on or make changes to this bug.